让信息安全
变得简单

WFH警报:在旧的D-Link路由器模型中发现严重错误

研究人员在消费者D-Link DIR-865L无线AC 1750双频云路由器中发现了六个错误。

D-Link敦促客户更换其已过时的DIR-865L无线路由器系列,以应对最近发现的严重命令注入错误,该错误使用户容易受到拒绝服务攻击。

该路由器于2013年首次推出,并于2016年2月终止了使用寿命。2018年8月,D-Link发布了补丁程序(1.20B01 beta)以解决多个安全漏洞。周五,Palo Alto Networks的42位研究人员公开披露了另外6个错误-1个严重级别和5个严重级别。

研究人员写道: “这些漏洞是在D-Link路由器的DIR-865L模型中发现的,该模型适用于家庭网络。” “当前在家办公的趋势增加了对家庭网络进行恶意攻击的可能性,这使得更新我们的网络设备变得更加必要。” D-Link还向客户通知了Unit 42团队发现的“可疑”缺陷。它写道: “该产品已经达到使用寿命终止/支持终止(EOS)的状态,并且不再为它们提供扩展的支持或开发。” 然而,该公司确实在2020年5月26日发布了“ beta”补丁(v1.20B01Beta01)。

“在EOS以外使用本产品的DIR-865L的所有者应自担风险,应手动更新到最新固件。这些beta版本是调查和理解该报告,并对可能受影响的整个产品系列进行全面调查的结果。EOS之后发布的固件是一种标准操作程序,” D-Link的咨询警告。

根据该通报,D-Link修补程序仅修复了Unit 42发现的三个错误;该错误仅可解决第42个单元的错误。跨站点脚本错误(CVE-2020-13786),加密强度不足(CVE-2020-13785)和敏感信息缺陷的明文存储之一(CVE-2020-13786)。

其中最严重的错误是严重的命令注入(CVE-2020-13782)漏洞。“该路由器的Web界面由名为cgibin.exe的后端引擎控制。大多数网页请求都发送到此控制器。如果发出对scandir.sgi的请求,恶意行为者可以注入具有管理特权的任意代码以在路由器上执行。

可以通过链接由Unit 42找到的第二个高严重性漏洞(CVE-2020-13786)来窃取这些管理员特权。此第二个漏洞由D-Link于5月修补,允许攻击者通过管理员的帐户窃取活动会话cookie。研究人员说,该网页很容易受到跨站点请求伪造攻击的攻击。

D-Link的DIR-865L Wireless AC 1750之前曾在黑客大会DEF CON 2014上被独立安全评估人员选为研究对象。研究人员将路由器归类为13种流行的SOHO Wi-Fi路由器,这些路由器容易受到本地或远程攻击。

作为替换硬件或修复所有漏洞的补丁的替代方法,Unit 42研究人员建议将路由器配置为“默认所有HTTPS流量以防御会话劫持攻击”,并更改路由器的时区以防御“正在计算的恶意行为者”。随机生成的会话ID。”

 

*编译:Domino

*来自:threatpost

 

分享到: 更多 (0)